//********************************************************************
// Ninfa3D Engine 
// copyright 2008-2009
// By Viz_Fuerte
// VC: 9.0
// Cylinder Emitter
//********************************************************************

/*--------------------------------------------------------------------
Includos*/

	#include "..\..\..\..\Header Files\Ninfa3D.h"

/*--------------------------------------------------------------------
Declaracion global de funciones*/

extern "C"
{

	/*================================================================
	Crea un emisor de particulas de tipo cilindrico*/

	DLL_EXPORT void* DLL_APIENTRY CreateCylinderEmitter(IParticleSystemSceneNode* Particles,unsigned int Min,unsigned int Max)
	{
		IParticleCylinderEmitter* Emitter = Particles->createCylinderEmitter(vector3df(0),0,vector3df(0),0,false,vector3df(0),0,0,SColor(0),SColor(0),Min,Max,0,dimension2df(0,0),dimension2df(0,0));
		Particles->setEmitter(Emitter);
		return (void*)Emitter;
	}

	/*================================================================
	Establece el centro del emisor*/

	DLL_EXPORT void DLL_APIENTRY CylinderEmitterCenter(IParticleCylinderEmitter* Emitter,float X,float Y,float Z)
	{
		Emitter->setCenter(vector3df(X,Y,Z));
	}

	/*================================================================
	Establece el radio del emisor*/

	DLL_EXPORT void DLL_APIENTRY CylinderEmitterRadius(IParticleCylinderEmitter* Emitter,float Radius)
	{
		Emitter->setRadius(Radius);
	}

	/*================================================================
	Establece la longitud del emisor*/

	DLL_EXPORT void DLL_APIENTRY CylinderEmitterLength(IParticleCylinderEmitter* Emitter,float Length)
	{
		Emitter->setLength(Length);
	}

}